Subject: Re: bug#47244: 28.0.50; SIGSEGV in long-runnning Emacs

From: Michael Welsh Duggan <[email-masked]>
Date: Wed, 07 Apr 2021 16:32:55 -0400

martin rudalics <[email-masked]> writes:

>> Using watchpoints on Vwindow_list that are turned off when in
>> window_list() and ignored when it is set to nil, I was at least able to
>> determine that whatever is modifying the list is doing so destructively,
>> not by setting a new value.
>
> Since I don't believe in miracles I expected that.  But I've been
> searching our code base repeatedly and nowhere found a clue that that
> list - the return value of window_list - would be modified in such a
> deterministic and orderly way.  Maybe I'm blind already.

FWIW, I've been trying to do the same and have been similarly
unsuccessful.

-- 
Michael Welsh Duggan
([email-masked])